Steinberg Cubase 5 Retain Plug-In Compatibility

OBJECTIVE: Use discontinued Cubase SX plug-ins in newer Windows versions, like Cubase 4 and 5.
Author:
Publish date:

Retain compatibility with older Cubase plug-ins

OBJECTIVE: Use discontinued Cubase SX plug-ins in newer Windows versions, like Cubase 4 and 5. This is also essential when opening older projects that use these plug-ins.

BACKGROUND: Several legacy plug-ins that were in Cubase SX are not installed with Cubase 4 and 5. They generally work well with Windows, which this article covers. (The Mac versions were designed for PPC processors. This requires running Cubase 4.1 or later under Mac OS X’s “Rosetta” PowerPC emulation, which is not recommended for music software.)

1 Surf to ftp://ftp.steinberg.net/Download/Legacy_Additional_Content/. Open the “Additional Cubase SX Plugins” folder, then open the appropriate folder (Mac or PC).

1_nr

2 In Windows Explorer, go Page > Open FTP Site in Windows Explorer.

2_nr

3 On your C: drive, go Program Files > Steinberg > Cubase 5 > VSTplugins and open this folder. You’ll see plug-ins organized in sub-folders (Distortion, Dynamics, etc.).

3_nr

4 Drag over plug-ins from the Steinberg FTP site to the appropriate folder in the VSTplugins folder. In the screen shot, the Cubase 5 Distortion VSTplugins folder and the FTP site Distortion folder have been opened, and the Distortion plug-ins are being dragged from the FTP site to Cubase.

4_nr

5 Go Devices > Plug-in Information > VST PlugIns tab > VST 2.x Plug-in Paths and verify that the folder containing the legacy plug-ins is listed.

5_nr

6 The legacy plug-ins can now be selected just like any other plug-ins.

6_nr

Tips

• Step 2: This folder is also available on the Cubase 4 distribution disc; the Cubase SX3 distribution disc also includes some legacy plug-ins.